Bug 451726 - KNS content displays ugly unclickable URL in its "Distributed by" metadata field
Summary: KNS content displays ugly unclickable URL in its "Distributed by" metadata field
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: KNewStuff Backend (show other bugs)
Version: master
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-20 13:10 UTC by Patrick Silva
Modified: 2022-07-29 18:56 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments
screenshot (212.11 KB, image/png)
2022-03-20 13:10 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-03-20 13:10:30 UTC
Created attachment 147618 [details]
screenshot

SUMMARY
Currently links to addons from KDE Store are not clickable in their description pages.
Please see the attached screenshot.

EXPECTED RESULT
clickable links to addons

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Graphics Platform: Wayland
Comment 1 Nate Graham 2022-03-27 02:42:34 UTC
Ugh, that shouldn't even be a link. It's supposed to be a pretty user-friendly string. Should say something like "KDE Store" or whatever.

Looks like it's missing its license, too. We should track that separately.
Comment 2 Bug Janitor Service 2022-07-28 16:59:26 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/343
Comment 3 Aleix Pol 2022-07-29 15:48:22 UTC
Git commit d52521eabc02f0a6e6ac73651c80bec6a39973b8 by Aleix Pol.
Committed on 29/07/2022 at 15:25.
Pushed by ngraham into branch 'master'.

kns: Get the distributor name from attica rather than from KNS

We get a slighlty better string, although possibly not yet end game.
It's good to show a domain though, which does tell us where it's getting
it from.

Special-case the KDE Store, which is probably what we'll be finding on
most instances.

M  +13   -0    libdiscover/backends/KNSBackend/KNSResource.cpp
M  +1    -0    libdiscover/backends/KNSBackend/KNSResource.h

https://invent.kde.org/plasma/discover/commit/d52521eabc02f0a6e6ac73651c80bec6a39973b8